Error generated when updating a package


#1

when the atom tells me I have a package to be updated, and send update, this error appears:

npm http GET https://registry.npmjs.org/emissary
npm http GET https://registry.npmjs.org/async
npm http GET https://registry.npmjs.org/atom-message-panel
npm http GET https://registry.npmjs.org/fs-plus
npm http GET https://registry.npmjs.org/glob
npm http GET https://registry.npmjs.org/temp
npm http GET https://registry.npmjs.org/underscore-plus
npm http 304 https://registry.npmjs.org/glob
npm http 304 https://registry.npmjs.org/atom-message-panel
npm http 304 https://registry.npmjs.org/async
npm http 304 https://registry.npmjs.org/temp
npm http 304 https://registry.npmjs.org/underscore-plus
npm http 304 https://registry.npmjs.org/emissary
npm http 304 https://registry.npmjs.org/fs-plus
npm http GET https://registry.npmjs.org/underscore
npm http GET https://registry.npmjs.org/rimraf
npm http GET https://registry.npmjs.org/mkdirp
npm http GET https://registry.npmjs.org/rimraf
npm http GET https://registry.npmjs.org/mixto
npm http GET https://registry.npmjs.org/property-accessors
'pm ERR! git fetch -a origin (https://github.com/Benvie/harmony-collections.git) fatal: Reference has invalid format: 'refs/Icon
npm http GET https://registry.npmjs.org/inherits
npm http GET https://registry.npmjs.org/minimatch
'pm ERR! Error: Command failed: fatal: Reference has invalid format: 'refs/Icon
npm ERR!
npm ERR!     at ChildProcess.exithandler (child_process.js:637:15)
npm ERR!     at ChildProcess.EventEmitter.emit (events.js:98:17)
npm ERR!     at maybeClose (child_process.js:743:16)
npm ERR!     at Socket.<anonymous> (child_process.js:956:11)
npm ERR!     at Socket.EventEmitter.emit (events.js:95:17)
npm ERR!     at Pipe.close (net.js:465:12)
npm ERR! If you need help, you may report this *entire* log,
npm ERR! including the npm and node versions, at:
npm ERR!     <http://github.com/npm/npm/issues>

npm ERR! System Darwin 13.3.0
npm ERR! command "/Applications/Atom.app/Contents/Resources/app/apm/node_modules/atom-package-manager/bin/node" "/Applications/Atom.app/Contents/Resources/app/apm/node_modules/atom-package-manager/node_modules/npm/bin/npm-cli.js" "--globalconfig" "/Applications/Atom.app/Contents/Resources/app/apm/node_modules/atom-package-manager/.apmrc" "--userconfig" "/Users/rrmartins/.atom/.apmrc" "install" "/Users/rrmartins/.atom/.node-gyp/.atom/.apm/go-plus/2.0.2/package.tgz" "--target=0.11.10" "--arch=x64"
npm ERR! cwd /private/var/folders/8c/skmtsbzn0qs2f_sycm33gych0000gn/T/apm-install-dir-114628-66088-1ayuxer
npm ERR! node -v v0.10.26
npm ERR! npm -v 1.4.4
npm ERR! code 128
npm http 304 https://registry.npmjs.org/underscore
npm http 304 https://registry.npmjs.org/mkdirp
npm http 304 https://registry.npmjs.org/rimraf
npm http 304 https://registry.npmjs.org/property-accessors
npm http 304 https://registry.npmjs.org/inherits
npm http 304 https://registry.npmjs.org/rimraf
npm http 304 https://registry.npmjs.org/mixto
npm http 304 https://registry.npmjs.org/minimatch
npm http GET https://registry.npmjs.org/lru-cache
npm http GET https://registry.npmjs.org/sigmund
npm http 304 https://registry.npmjs.org/lru-cache
npm http 304 https://registry.npmjs.org/sigmund
npm ERR!
npm ERR! Additional logging details can be found in:
npm ERR!     /private/var/folders/8c/skmtsbzn0qs2f_sycm33gych0000gn/T/apm-install-dir-114628-66088-1ayuxer/npm-debug.log
npm ERR! not ok code 0 

#2

Have you followed the suggestions in the Debugging document? Also, could you give the following information?

  • Which package are you attempting to update?
  • Which version of Atom are you using?
  • What OS and version are you running?
  • Can you reproduce the issue after completely exiting Atom and restarting using atom --safe?

#3

go-plus package
version 0.119.0 of the atom
Mac OS X 10.9.4

I’ve rebooted it and started, tried updating the go-plus and shows this error. 'll see this documentation


#4

There seems to be a bunch of errors, but the one standing out to me (layman that I am) is related to note trying to set a configuration in your .atom folder:

“/Applications/Atom.app/Contents/Resources/app/apm/node_modules/atom-package-manager/bin/node” “/Applications/Atom.app/Contents/Resources/app/apm/node_modules/atom-package-manager/node_modules/npm/bin/npm-cli.js” “–globalconfig” “/Applications/Atom.app/Contents/Resources/app/apm/node_modules/atom-package-manager/.apmrc” "–userconfig" “/Users/rrmartins/.atom/.apmrc” “install” “/Users/rrmartins/.atom/.node-gyp/.atom/.apm/go-plus/2.0.2/package.tgz” “–target=0.11.10” “–arch=x64”

So… tried removing / renaming your .atom folder and running again?

Also, can you update any other package (if there is another waiting to be updated)?